DROP DATABASE IF EXISTS `saran`;
CREATE DATABASE IF NOT EXISTS `saran` DEFAULT CHARACTER SET utf8 DEFAULT COLLATE utf8_general_ci;
USE `saran`;

DROP TABLE IF EXISTS `ap`;
CREATE TABLE `ap` (
  `id` int(20) NOT NULL AUTO_INCREMENT,
  `ap_id` varchar(30) NOT NULL,
  `ip` varchar(15) NOT NULL,
  `name` varchar(255) DEFAULT NULL,
  `script` varchar(255) NOT NULL,
  `description` varchar(255) NOT NULL,
  `status` char(2) NOT NULL DEFAULT 'DW',
  `enable` char(1) NOT NULL DEFAULT 'Y',
  `lat` varchar(200) DEFAULT '',
  `lng` varchar(200) DEFAULT '',
  `authen` int(10) unsigned DEFAULT '0',
  `total` int(10) unsigned DEFAULT '0',
  `downtime` int(255) unsigned NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `graph_option`;
CREATE TABLE `graph_option` (
  `back` char(50) DEFAULT NULL,
  `minimum` int(10) unsigned DEFAULT NULL,
  `maximum` int(10) unsigned DEFAULT NULL,
  `def` int(1) unsigned DEFAULT NULL,
  `canvas` char(50) DEFAULT NULL,
  `grid` char(50) DEFAULT NULL,
  `mgrid` char(50) DEFAULT NULL,
  `arrow` char(50) DEFAULT NULL,
  `font` char(50) DEFAULT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

LOCK TABLES `graph_option` WRITE;
INSERT INTO `graph_option` VALUES ('FFFFFF',20,35,0,'FFFFFF','000000','000000','000000','222222');
UNLOCK TABLES;

DROP TABLE IF EXISTS `script`;
CREATE TABLE `script` (
  `script_name` varchar(255) NOT NULL,
  `command` varchar(255) NOT NULL,
  `argument` varchar(4) NOT NULL DEFAULT 'name',
  `mode` char(50) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `system`;
CREATE TABLE `system` (
  `hi` int(10) NOT NULL,
  `google_key` char(100) NOT NULL,
  `vh` int(10) NOT NULL,
  `def` int(1) NOT NULL,
  `downtime` int(255) NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

LOCK TABLES `system` WRITE;
INSERT INTO `system` VALUES (15,'',30,0,600);
UNLOCK TABLES;

DROP TABLE IF EXISTS `twitter`;
CREATE TABLE `twitter` (
  `request_token` char(255) NOT NULL,
  `request_token_secret` char(255) NOT NULL,
  `consumer_key` char(255) NOT NULL,
  `consumer_secret` char(255) NOT NULL,
  `access_token` char(255) NOT NULL,
  `access_token_secret` char(255) NOT NULL,
  `status` char(5) DEFAULT 'on'
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `users`;
CREATE TABLE `users` (
  `user_id` int(10) NOT NULL AUTO_INCREMENT,
  `name` char(50) NOT NULL DEFAULT '',
  `email` char(100) NOT NULL DEFAULT '',
  `password` char(50) NOT NULL DEFAULT '',
  KEY `user_id` (`user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

LOCK TABLES `users` WRITE;
INSERT INTO `users` VALUES (1,'admin','','b1b3773a05c0ed0176787a4f1574ff0075f7521e');
UNLOCK TABLES;

DROP TABLE IF EXISTS `zone`;
CREATE TABLE `zone` (
  `zone_id` int(8) NOT NULL AUTO_INCREMENT,
  `name` varchar(50) NOT NULL,
  `lat` varchar(200) NOT NULL,
  `lng` varchar(200) NOT NULL,
  `zoom` int(8) NOT NULL,
  PRIMARY KEY (`zone_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
